## rust-rustls-0.21 0.21.12

=== debian/changelog ===
rust-rustls-0.21 (0.21.12-14) unstable; urgency=medium

  * add patch 2002 to use newer branch of crate rustls-pemfile;
    bump build- and autopkgtest-dependencies
    for crate rustls-pemfile;
    closes: bug#1098278,
    thanks to Peter Michael Green and Jeremy Bícha
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Mar 2025 14:35:33 +0100

rust-rustls-0.21 (0.21.12-13) unstable; urgency=medium

  * install tests to versioned directory;
    closes: bug#1096028, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Feb 2025 21:06:41 +0100

rust-rustls-0.21 (0.21.12-12) unstable; urgency=medium

  * break+replace older releases of librust-rustls-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Feb 2025 14:53:24 +0100

rust-rustls-0.21 (0.21.12-11) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + mangle upstream version
    + improve filename mangling

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Feb 2025 16:25:58 +0100

rust-rustls-0.21 (0.21.12-10) experimental; urgency=medium

  * rename source and binary packages to append upstream branch
  * update git-buildpackage config:
    + use versioned debian-branch and upstream-tag
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 31 Jan 2025 13:29:24 +0100

rust-rustls (0.21.12-9) unstable; urgency=medium

  * tighten build- and autopkgtest-dependency for crate mio

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Jan 2025 09:50:40 +0100

rust-rustls (0.21.12-8) unstable; urgency=medium

  * extend patch 1002_env_logger
    to cover test-only crate rustls-examples
  * update git-buildpackage: use git branch upstream/0.21

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jan 2025 14:37:20 +0100

rust-rustls (0.21.12-7) unstable; urgency=medium

  * update watch file:
    + use Github API uri
    + improve filename mangling
  * add patch 1002_env_logger
    to accept newer branch of crate env_logger;
    bump build- and autopkgtest-dependencies
    for crate rust-env-logger;
    closes: bug#1091220, thanks to NoisyCoil
  * update git-buildpackage config: use git branch debian/unstable

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jan 2025 13:32:13 +0100

rust-rustls (0.21.12-6) unstable; urgency=medium

  * fix make build-dependencies unconditional
  * add patch 1002_base64 to accept newer branch of crate base64;
    bump autopkgtest-dependencies for crate base64;
    fix build-depend on package for crate base64;
    closes: bug#1084375, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 16:36:30 +0200

rust-rustls (0.21.12-5) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo);
    closes: bug#1079557, thanks to Peter Michael Green
  * stop mention dh-cargo in long description

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Aug 2024 17:58:00 +0200

rust-rustls (0.21.12-4) unstable; urgency=medium

  * add patch 1002 to accept newer branch of crate mio;
    relax build- and autopkgtest-dependencies for crate mio;
    closes: bug#1078508, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Aug 2024 11:18:11 +0200

rust-rustls (0.21.12-3) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * reduce autopkgtest to check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Jul 2024 22:11:10 +0200

rust-rustls (0.21.12-2) unstable; urgency=high

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * update and extend patch 1001
  * urgency=high due to CVE-2024-32650 in previous release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jul 2024 10:14:51 +0200

rust-rustls (0.21.12-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + don't specially handle unauthenticated close_notify alerts;
      fixes CVE-2024-32650;
      closes: bug#1069677, thanks to Moritz Mühlenhoff

  [ Jonas Smedegaard ]
  * update watch file: modernize source URI
  * update copyright info: fix file path
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 15:15:06 +0200

rust-rustls (0.21.10-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update dh-cargo fork
  * update copyright info: update coverage
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jan 2024 18:41:57 +0100

rust-rustls (0.21.9-1) unstable; urgency=medium

  * unfuzz patches
  * bump project version in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 16:19:59 +0100

rust-rustls (0.21.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 07 Nov 2023 18:35:51 +0000

rust-rustls (0.21.8-3) experimental; urgency=medium

  * relax autopkgtest-dependencies for crate rustls
  * add patch 1002 to consistently depend on branch v0.17 of crate ring

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Nov 2023 23:54:17 +0100

rust-rustls (0.21.8-2) experimental; urgency=medium

  * tighten autopkgtest-dependencies for crate rustls

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Nov 2023 09:04:48 +0100

rust-rustls (0.21.8-1) experimental; urgency=medium

  [ upstream ]
  * new release;
    closes: bug#1055116

  [ Jonas Smedegaard ]
  * bump project version in virtual packages and autopkgtests
  * tighten (build-)dependencies for crates ring rustls-webpki
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Nov 2023 18:37:20 +0100

rust-rustls (0.21.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches

