=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# cleanup after test
execute_after_dh_auto_test:
	rm -rf rustls/sslkeylogfile.txt

# mangle system-shared code to use system-shared test-ca and fuzz data
execute_after_dh_auto_install:
	perl -pi -e 's,\Q../../../test-ca,/usr/share/rust-rustls-0.21/test-ca,' \
	 debian/librust-*-dev/usr/share/cargo/registry/*/tests/common/mod.rs
	perl -pi -e 's,\Q../fuzz,/usr/share/rust-rustls-0.21/fuzz,' \
	 debian/librust-*-dev/usr/share/cargo/registry/*/src/msgs/message_test.rs
