=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rustls 0.21.12
 --all-targets
Features: test-name=rust-rustls-0.21:default
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bencher-0.1+default-dev,
 librust-docopt-1+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-mio-1+net-dev,
 librust-mio-1+os-poll-dev,
 librust-regex-1+default-dev,
 librust-rustls-0.21+default-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rustls 0.21.12
 --all-targets --all-features
Features: test-name=rust-rustls-0.21:@
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bencher-0.1+default-dev,
 librust-docopt-1+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-log-0.4+default-dev,
 librust-mio-1+net-dev,
 librust-mio-1+os-poll-dev,
 librust-regex-1+default-dev,
 librust-rustls-0.21-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-rustversion-1-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rustls 0.21.12
 --all-targets --no-default-features
Features: test-name=rust-rustls-0.21:
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bencher-0.1+default-dev,
 librust-docopt-1+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-mio-1+net-dev,
 librust-mio-1+os-poll-dev,
 librust-regex-1+default-dev,
 librust-rustls-0.21-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rustls 0.21.12
 --all-targets --no-default-features --features dangerous_configuration
Features: test-name=rust-rustls-0.21:dangerous_configuration
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bencher-0.1+default-dev,
 librust-docopt-1+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-mio-1+net-dev,
 librust-mio-1+os-poll-dev,
 librust-regex-1+default-dev,
 librust-rustls-0.21+dangerous-configuration-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test rustls 0.21.12
 --all-targets --no-default-features --features logging
Features: test-name=rust-rustls-0.21:logging
Depends:
 dh-rust,
 librust-base64-0.22+default-dev,
 librust-bencher-0.1+default-dev,
 librust-docopt-1+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-log-0.4+default-dev,
 librust-mio-1+net-dev,
 librust-mio-1+os-poll-dev,
 librust-regex-1+default-dev,
